Bug 141592 - ogg123 does not play files from stdin
Summary: ogg123 does not play files from stdin
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vorbis-tools
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-02 11:44 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-10-11 12:20:55 UTC


Attachments (Terms of Use)
Fix (924 bytes, patch)
2006-08-24 20:47 UTC, Daniel Kopeček
no flags Details | Diff
Fix (924 bytes, patch)
2006-08-24 20:47 UTC, Daniel Kopeček
no flags Details | Diff
Upstream patch to fix playing from pipes (1.15 KB, patch)
2006-10-30 12:49 UTC, John Thacker
no flags Details | Diff

Description Ralf Ertzinger 2004-12-02 11:44:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041114 Firefox/1.0

Description of problem:
When piping .ogg files into ogg123, ogg123 claims that it can not play
the file:

[sun@nausicaa ~ :) 13]$ cat temp/song36.ogg| ogg123 -

Audio Device:   Advanced Linux Sound Architecture (ALSA) output

Error opening - using the oggvorbis module.  The file may be corrupted.


Playing the file with ogg123 <file> works fine. This affects nautilus,
too, since nautilus uses this mechanism for .ogg audio preview.



Version-Release number of selected component (if applicable):
vorbis-tools-1.0.1-4

How reproducible:
Always

Steps to Reproduce:
1. Pipe .ogg into ogg123
2.
3.
    

Actual Results:  ogg claims an invalid stream

Expected Results:  Play the file

Additional info:

Comment 1 Daniel Kopeček 2006-08-24 20:47:55 UTC
Created attachment 134859 [details]
Fix

Comment 2 Daniel Kopeček 2006-08-24 20:47:56 UTC
Created attachment 134860 [details]
Fix

Comment 3 John Thacker 2006-10-30 12:45:31 UTC
There's a different upstream fix applied to CVS.  See this changeset:
https://trac.xiph.org/changeset/9696

Which references the identical bug in Debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=237187

Like bug 98816, it's still around in FC6 (and RHEL4) since vorbis-tools hasn't
released a new upstream version in a while.

Comment 4 John Thacker 2006-10-30 12:49:37 UTC
Created attachment 139710 [details]
Upstream patch to fix playing from pipes

Confirmed by testing myself that this patch from upstream fixes the bug.

Comment 5 Hans de Goede 2007-10-11 12:20:55 UTC
On request of Behdad, I'm helping out with ogg / vorbis / theora bugs.

Fix is in F-7 updates-testing and this is fixed in rawhide, since I do not have
access to FC-6 (pre merge) and FC-6 is close to EOL, I'm closing this.



Note You need to log in before you can comment on or make changes to this bug.